// 
// Patron pour la generation d'une classe derivee dans ROOT
// FDataReaderTemplate derive de FDataReader
// 
 
#ifndef FDataReaderTemplate_h 
#define FDataReaderTemplate_h 
 
#include "FDataReader.h" 
 
class FDataReaderTemplate : public FDataReader { 
 
   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
   	FDataReaderTemplate(void);    // constructeur par defaut 
	FDataReaderTemplate(const FDataReaderTemplate &ap); // constructeur par copie 
	
	~FDataReaderTemplate(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FDataReaderTemplate& operator = (const FDataReaderTemplate &hp); // operateur = 
 
	virtual void InitListOfParamsBruts(void);
	virtual void SetParamBrutsValues(void);

    ClassDef(FDataReaderTemplate,1)
 
}; 
 
#endif 
 
