//
// Patron pour la generation d'une classe derivee dans ROOT
// FDataReaderWithDevice derive de TNamed
//

#ifndef FDataReaderWithDevice_h
#define FDataReaderWithDevice_h

#include "FDataReader.h"
#include "THashList.h"
#include "FDevice.h"
#include "TEnv.h"

class FDataReaderWithDevice : public FDataReader {

  protected:
    FDevice *device;
    TList   *lod;

  protected:
    virtual void Init(void);       // initialisation

  public:
    FDataReaderWithDevice(void);    // constructeur par defaut
    FDataReaderWithDevice(const FDataReaderWithDevice &ap); // constructeur par copie

    ~FDataReaderWithDevice(void);		// desctructeur;

#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
    virtual void Copy(TObject & obj) const;
#else
    virtual void Copy(TObject & obj);
#endif
    FDataReaderWithDevice& operator = (const FDataReaderWithDevice &hp); // operateur =

    virtual void SetDevice(FDevice *dev=0);
    virtual const FDevice *GetDevice(void) {return device;}
    virtual Bool_t NeedDevice(void){return kTRUE;}
    virtual Bool_t IsOk(void);

    virtual void InitFromEnv(TEnv *env);
    virtual const TList* GetListOfAvailableDevices(void) {return lod;}

    ClassDef(FDataReaderWithDevice,1)

};

#endif

