// 
// Patron pour la generation d'une classe derivee dans ROOT
// FFasterChannel derive de TNamed
// 
 
#ifndef FFasterChannel_h 
#define FFasterChannel_h 
 
#include "Riostream.h" 
#include "TNamed.h" 
#include "TList.h" 
#include "TApplication.h" 

using namespace std;
 
class FFasterChannel : public TNamed { 
 
   protected:
	     ULong64_t nbReadData; // number of data read by RHB for a FASTER channel
        Double_t ratio;       // last ratio computed value
   
   protected: 
        virtual void Init(void); // initialisation  

   public:	 
   	FFasterChannel(void);                     // constructeur par defaut 
	FFasterChannel(const FFasterChannel &ap); // constructeur par copie 
	
	~FFasterChannel(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FFasterChannel& operator = (const FFasterChannel &hp); // operateur = 
    
	virtual void  SetNbReadData(ULong64_t nbData) { nbReadData=nbData;}
	virtual ULong64_t GetNbReadData(void) const { return nbReadData;}
   virtual void  SetRatio(Double_t r) { ratio=r;}
   virtual ULong64_t GetRatio(void) const { return ratio;}
   
    ClassDef(FFasterChannel,1)
}; 
#endif 
 
