//
// Patron pour la generation d'une classe derivee dans ROOT
// FWrittenFile derive de FFileDevice
//

#ifndef FWrittenFile_h
#define FWrittenFile_h


#include "FFileDevice.h"
#include "FIPConnection.h"

class FWrittenFile : public FFileDevice {
  protected:
    virtual void Init(void);       // initialisation

  public:
    FWrittenFile(void);    // constructeur par defaut
    FWrittenFile(const FWrittenFile &ap); // constructeur par copie

    ~FWrittenFile(void);		// desctructeur;

#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
    virtual void Copy(TObject & obj) const;
#else
    virtual void Copy(TObject & obj);
#endif
    FWrittenFile& operator = (const FWrittenFile &hp); // operateur =

    virtual UChar_t *GetBuffer(Int_t &size);

    ClassDef(FWrittenFile,1)

};

#endif

