// 
// Patron pour la generation d'une classe derivee dans ROOT
// FEventProcTemplate derive de TNamed
// 
 
#ifndef FEventProcTemplate_h 
#define FEventProcTemplate_h 
 
#include "FEventProcessor.h" 
 
class FEventProcTemplate : public FEventProcessor { 
 
   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
   	FEventProcTemplate(void);    // constructeur par defaut 
	FEventProcTemplate(const FEventProcTemplate &ap); // constructeur par copie 
	
	~FEventProcTemplate(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FEventProcTemplate& operator = (const FEventProcTemplate &hp); // operateur = 

	virtual void InitParams(void);
	virtual void InitHistos(void);
	virtual void SetParamValues(void);
	//virtual Bool_t IsRunning(void);
	//virtual void SaveHistos(void);
	//virtual Bool_t DoPlotTempo(void);
	//virtual void PlotTempo(void);
 
    ClassDef(FEventProcTemplate,1)
 
}; 
 
#endif 
 
