// 
// Patron pour la generation d'une classe derivee dans ROOT
// FEventProcessorThread derive de FEventProcessor
// 
 
#ifndef FEventProcessorThread_h 
#define FEventProcessorThread_h 
 
#include "FEventProcessor.h" 
#include "TThread.h" 
 
//#define THREADLOCKS 
 
class FEventProcessorThread : public FEventProcessor { 
 
   public:
   	static void Make(Char_t *nom);

   protected:
        TThread* mThread0;		// thread pointer
	Bool_t pause;
	Bool_t dumpNextEvent;
	ostream *dumpStream;

   public:
        enum FEPTStatus 
         {
         Running,
         Paused,
         Stopped
         };

   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
   	FEventProcessorThread(void);    // constructeur par defaut 
	FEventProcessorThread(const FEventProcessorThread &ap); // constructeur par copie 
	
	~FEventProcessorThread(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FEventProcessorThread& operator = (const FEventProcessorThread &hp); // operateur = 
 
	virtual void InitHistos(void);

	virtual Bool_t IsPaused(void){return pause;}
	virtual void ProcessLoop(void);
	virtual void Run(void);
 	virtual void Pause(void) {pause=kTRUE;if(HasNetHistoProvider())SendListToDataServer();}
 	virtual void Continue(void) {pause=kFALSE;}
        virtual Int_t Start(void);  	       // launch all threads 
        virtual Int_t Stop(void);   // stop thread
 
        virtual Int_t GetRunningStatus(void)const;   // running, paused or stopped


  	virtual void SetRunningMode(UInt_t m=0);

#ifdef THREADLOCKS
	virtual void AddHisto(TH1 *h);
	virtual void RemoveHisto(TH1 *h);
	virtual void RemoveHisto(Char_t *s);
	virtual void AddParam(FParam *p);
	virtual void RemoveParam(FParam *p);
	virtual void RemoveParam(Char_t *s);
#endif
  	virtual void ClearSpectra(void);
	virtual void DumpEvent(ostream &fout=cout);

   private: 
        static void Thread0(void* arg); // functions running as threads

    ClassDef(FEventProcessorThread,1)
 
}; 
 
#endif 
 
