// 
// Patron pour la generation d'une classe derivee dans ROOT
// FGRUDevice derive de FDevice
// 
 
#ifndef FGRUDevice_h 
#define FGRUDevice_h 

#include "FDevice.h" 
#include "GDevice.h" 
 
class FGRUDevice : public FDevice { 

   protected:
   	GDevice *GRUdevice;
 
   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
   	FGRUDevice(void);    // constructeur par defaut 
	FGRUDevice(const FGRUDevice &ap); // constructeur par copie 
	
	~FGRUDevice(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FGRUDevice& operator = (const FGRUDevice &hp); // operateur = 
	
	virtual void Open(void);
	virtual void Close(void);
	virtual void Rewind(void);
	virtual UChar_t *GetBuffer(Int_t &size) {size=0;return 0;}
	virtual GDevice *GetGRUDevice(void)=0;
 
    ClassDef(FGRUDevice,1)
 
}; 
 
#endif 
 
