//
// Patron pour la generation d'une classe derivee dans ROOT
// FIPFasterDataReader derive de FFasterDataReader
//

#ifndef FIPFasterDataReader_h
#define FIPFasterDataReader_h

#include "FFasterDataReader.h"

class FIPFasterDataReader : public FFasterDataReader {

  public:
    //Double_t dataRatio;

  private:
    UShort_t oldIdx;
    //UShort_t diffIdx;
    //ULong64_t totalIdx;
    UShort_t trameIdx;
    Bool_t isFasterTrameType;
    ULong64_t localIdx;

  private:
    //void ComputeLostData(void);

  public:
    FIPFasterDataReader(void);    // constructeur par defaut
    FIPFasterDataReader(const FIPFasterDataReader &ap); // constructeur par copie
    ~FIPFasterDataReader(void);		// desctructeur;
    virtual Int_t GetNextEvent(void);
    //virtual Char_t const *GetDataReaderInfo(void);
    virtual void ResetDataReaderInfo(void);
    virtual Bool_t GetHeaderTrameBytes(void);
    virtual ULong64_t GetLocalIdx(void) { return localIdx;}

#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
    virtual void Copy(TObject & obj) const;
#else
    virtual void Copy(TObject & obj);
#endif
    FIPFasterDataReader& operator = (const FIPFasterDataReader &hp); // operateur =

    ClassDef(FIPFasterDataReader,1)

};

#endif

