//
// Classe speciale pour connection reseau dediee DAQ FASTER en IP
// T. Chaventre: 12/01/2022
//

#ifndef FIPUdpFasterClient_h
#define FIPUdpFasterClient_h

#include "FIPUdpClient.h"

class FIPUdpFasterClient : public FIPUdpClient
 {
  private :
   struct in_addr fasterTrunkIpAddress;
   struct in_addr fasterLocalHost;

  public :
   UInt_t runningMode; // Running modes for DAQ FASTER :
   		       // 0: NORMAL mode (all types of data ar treated) - Default
                       // 1: SPECIAL mode (only oscillos and counters are treated, so the user can set his
		       //    experiment while visualising slow control data)
 private:
   void Init(void);

 public:
   FIPUdpFasterClient(void); 		                          // constructeur par default
   FIPUdpFasterClient(const FIPUdpFasterClient& conn);            // constructeur par copie
   virtual void Copy(TObject& c) const;                           // copie
   FIPUdpFasterClient& operator=(const FIPUdpFasterClient& conn); // operateur =
   ~FIPUdpFasterClient(void); 		                          // destructeur

   virtual void Open(Int_t port, Char_t *ipaddress=0);
   virtual Int_t  ReadBuf(UChar_t *buf,Int_t bufLen);
   virtual void SetRunningMode(UInt_t m=0) { runningMode=m;}
   virtual UInt_t GetRunningMode() { return runningMode;}

   ClassDef(FIPUdpFasterClient,1)

 };
#endif
