// 
// Patron pour la generation d'une classe derivee dans ROOT
// FNetHistoProvider derive de TNamed
// 
 
#ifndef FNetHistoProvider_h 
#define FNetHistoProvider_h 
 
#include "TNamed.h" 
#include "TSocket.h" 
#include "FNetConnection.h" 
 
class FNetHistoProvider : public FNetConnection { 
 
   protected: 
	static Int_t Debug;

        virtual void Init(void);       // initialisation 
 
   public:	 
        static void SetDebug(Int_t d=0) {FNetHistoProvider::Debug=d;}
        static Int_t GetDebug(void) {return FNetHistoProvider::Debug;}
	
   	FNetHistoProvider(void);    // constructeur par defaut 
	FNetHistoProvider(const FNetHistoProvider &ap); // constructeur par copie 
	
	~FNetHistoProvider(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FNetHistoProvider& operator = (const FNetHistoProvider &hp); // operateur = 

 	virtual void InitSocket(const Char_t *ser=0, Int_t port=0);
	virtual void WaitServerToStart(void);
 
    ClassDef(FNetHistoProvider,1)
 
}; 
 
#endif 
 
