// 
// Patron pour la generation d'une classe derivee dans ROOT
// FTChainReader derive de FDataReader
// 
 
#ifndef FTChainReader_h 
#define FTChainReader_h 
 
#include "FTTreeReader.h" 
#include "TChain.h" 
 
class FTChainReader : public FTTreeReader { 
 
   protected:
   	Int_t   nbFiles;
   	Int_t   curFile;
	TChain *chain;
	Int_t  oldTreeNum;
   
   protected: 
        virtual void Init(void);       // initialisation 
   public:	 
   	FTChainReader(void);    // constructeur par defaut 
	FTChainReader(const FTChainReader &ap); // constructeur par copie 
	
	~FTChainReader(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FTChainReader& operator = (const FTChainReader &hp); // operateur = 
 
	virtual void SetParamBrutsValues(void);

	virtual void SetTree(void);
	virtual void UpdateTreeLeaves(void);

        virtual Char_t const *GetDataReaderInfo(void);

    ClassDef(FTChainReader,1)
 
}; 
 
#endif 
 
