//
// Patron pour la generation d'une classe derivee dans ROOT
// FWindowProfile derive de TH1F
//

#ifndef FWindowProfile_h
#define FWindowProfile_h

#include "TProfile.h"
#include "FWindowProfileAtt.h"

class FWindowProfile : public TProfile, public FWindowProfileAtt {

  protected:
    virtual void Init(void);       // initialisation

  public:
    FWindowProfile(void);    // constructeur par defaut
    FWindowProfile(const char* name, const char* title, Int_t nbinsx);
    FWindowProfile(const FWindowProfile &ap); // constructeur par copie

    ~FWindowProfile(void);		// desctructeur;

#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
    virtual void Copy(TObject & obj) const;
#else
    virtual void Copy(TObject & obj);
#endif
    FWindowProfile& operator = (const FWindowProfile &hp); // operateur =

    virtual TH1 *GetHisto(void);
    virtual void SavePrimitive(ostream &out, Option_t *opt="");

    virtual void Paint(Option_t *option="");
    virtual void ToggleActivate(Int_t val=1) {FHistAtt::ToggleActivate(val);} // *TOGGLE* *GETTER=IsActivated

    ClassDef(FWindowProfile,1)

};

#endif

