// 
// Patron pour la generation d'une classe derivee dans ROOT
// FGenericName derive de TNamed
// 
 
#ifndef FGenericName_h 
#define FGenericName_h 
 
#include "TNamed.h" 
#include "TSortedList.h" 
 
class FGenericName : public TNamed { 
 
   private:
   	TSortedList	listOfFields;
   	Int_t		nbValues;
   
   protected: 
        virtual void Init(void);       // initialisation 
	virtual void DecodeGenericName(void );
 
   public:	 
   	FGenericName(void);    // constructeur par defaut 
	FGenericName(const FGenericName &ap); // constructeur par copie 
	
	~FGenericName(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FGenericName& operator = (const FGenericName &hp); // operateur = 
 
 	virtual void SetGenericName(const Char_t *dec);
	virtual const Char_t *GetDeclaration(void) {return GetTitle();}
	virtual Int_t GetNbValues(void){return nbValues;}
	virtual const Char_t *GetName(Int_t i);

        virtual void  ls(Option_t *option="") const;

    ClassDef(FGenericName,1)
 
}; 
 
#endif 
 
