// 
// Patron pour la generation d'une classe derivee dans ROOT
// FCtrl2DAtt derive de FScaleAtt
// 
 
#ifndef FCtrl2DAtt_h 
#define FCtrl2DAtt_h 
 
#include "FScaleAtt.h" 
 
class FCtrl2DAtt : public FScaleAtt { 
 
   protected:
   	Bool_t	vertical;

   protected: 
        virtual void Init(void);       // initialisation 
	virtual void SetVertical(void){vertical=kTRUE;} 
	virtual void SetHorizontal(void){vertical=kFALSE;}
 
   public:	 
   	FCtrl2DAtt(void);    // constructeur par defaut 
	FCtrl2DAtt(const FCtrl2DAtt &ap); // constructeur par copie 
	
	~FCtrl2DAtt(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void CopyHistAtt(FHistAtt & obj) const;
#else
   	virtual void CopyHistAtt(FHistAtt & obj);
#endif
	FCtrl2DAtt& operator = (const FCtrl2DAtt &hp); // operateur = 
 
	virtual void AddParam(FParam *p);
	virtual void AddParamAt(Int_t i,FParam *p);
	virtual void RemoveParams(void);
	virtual void RemoveParam(FParam *p);
	virtual void RemoveParam(Char_t *np);
	virtual void RemoveParamAt(Int_t i);
	
	virtual Bool_t IsVertical(void) const {return vertical;} 
	virtual Bool_t IsHorizontal(void) const {return !vertical;} 

	virtual void FillHist(Stat_t w=1.);

 	virtual void WriteInFile(ofstream &fout);
	virtual Bool_t  ReadInFile(ifstream &fin, TList *lop);
	virtual TList *GenericBuilding(TList *lop=0,TList *los=0,
				      FGenericName *name=0,
				      FGenericName *title=0,
				      FGenericName *paramX=0,
				      Int_t nx=0,Double_t xmin=0.,Double_t xmax=0.,
				      FGenericName *paramY=0,
				      Int_t ny=0,Double_t ymin=0.,Double_t ymax=0.,
				      FGenericName *cond=0);

	virtual Char_t const *GetGUIName(void){return "FCtrl2DGUI";}

    ClassDef(FCtrl2DAtt,1)
 
}; 
 
#endif 
 
