//
// Patron pour la generation d'une classe derivee dans ROOT
// FH1D derive de TH1D
//

#ifndef FH1D_h
#define FH1D_h

#include "TH1D.h"
#include "FH1Att.h"

class FH1D : public TH1D, public FH1Att {

  protected:
    virtual void Init(void);       // initialisation

  public:
    FH1D(void);    // constructeur par defaut
    FH1D(const char* name, const char* title, Int_t nbinsx, Axis_t xlow, Axis_t xup);
    FH1D(const char* name, const char* title, Int_t nbinsx, const Float_t* xbins);
    FH1D(const char* name, const char* title, Int_t nbinsx, const Double_t* xbins);
    FH1D(const FH1D &ap); // constructeur par copie

    ~FH1D(void);		// desctructeur;

#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
    virtual void Copy(TObject & obj) const;
#else
    virtual void Copy(TObject & obj);
#endif
    FH1D& operator = (const FH1D &hp); // operateur =

    virtual TH1 *GetHisto(void);
    virtual void SavePrimitive(ostream &out, Option_t *opt="");

    virtual void Paint(Option_t *option="");
    virtual void ToggleActivate(Int_t val=1) {FHistAtt::ToggleActivate(val);} // *TOGGLE* *GETTER=IsActivated
    virtual void ToggleCanRebin(Int_t val=1) {FHistAtt::ToggleCanRebin(val);} // *TOGGLE* *GETTER=CanRebin

    ClassDef(FH1D,1)

};

#endif

