// 
// Patron pour la generation d'une classe derivee dans ROOT
// MCBListManager derive de TGCompositeFrame
// 
 
#ifndef MCBListManager_h 
#define MCBListManager_h 
 
#include "TROOT.h"
#include "TClass.h"
#include "TGClient.h"
#include "MCBLabel.h" 
 
class MCBListManager : public TGCompositeFrame { 

	enum ElementId 
	{
	 CB_loObj,
	 B_AddObj,
	 B_RemObj,
	 B_ModObj,
	 TGN_Par    // Il faut que se soit le dernier de la liste
	};
 
   protected: 
	TList			*listOfObj;
	MCBLabel		*loObj;
	TObject			*currentObj;
	TClass			*classObj;

   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
	MCBListManager(const TGWindow *p=0,UInt_t w=500,UInt_t h=300);
#if ROOT_VERSION_CODE <= ROOT_VERSION(5,12,0)
	MCBListManager(const MCBListManager &ap); // constructeur par copie 
#endif
	
	~MCBListManager(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	MCBListManager& operator = (const MCBListManager &hp); // operateur = 
 
	virtual Bool_t ProcessMessage(Long_t msg, Long_t par1, Long_t par2); 

	virtual MCBLabel *GetMCBLabel(void) {return loObj;}
	virtual void AddObject(void);
	virtual TObject *GetCurrentObject(void){return currentObj;}
	virtual void RemoveObject(void);
	virtual void ModifyObject(void);
	virtual void SetList(TList *l);
 	virtual TList *GetList(void);
        virtual void RebuildList(void);
	virtual void NewObject(char* s) {Emit("NewObject(char*)",s);} // *SIGNAL*
	virtual void RemoveObject(char* s) {Emit("RemoveObject(char*)",s);} // *SIGNAL*
	virtual void ModifyObject(char* s) {Emit("ModifyObject(char*)",s);} // *SIGNAL*
	virtual void ObjectSelected(char* s) {Emit("ObjectSelected(char*)",s);} // *SIGNAL*
	virtual void SetCurrentObject(char* s,Bool_t emit=kTRUE);	
	virtual void SetCurrentObject(Bool_t emit=kTRUE);	
	virtual void Reset(void);
	virtual void SetClass(const Char_t *className);
	virtual void WarningBox(char const *title="Warning",char const *msg="Warning");

    ClassDef(MCBListManager,1)
 
}; 
 
#endif 
 
