// 
// Patron pour la generation d'une classe derivee dans ROOT
// MDeviceGUI derive de TGCompositeFrame
// 
 
#ifndef MDeviceGUI_h 
#define MDeviceGUI_h 
 
#include "TROOT.h"
#include "TGClient.h"
#include "FDevice.h"
 
class MDeviceGUI : public TGCompositeFrame { 

   protected: 
	FDevice *device;
	
   protected: 
        virtual void Init(void);       // initialisation 
        virtual void AddButtons(void);       // initialisation 
 
   public:	 
	MDeviceGUI(const TGWindow *p=0,UInt_t w=500,UInt_t h=300);
#if ROOT_VERSION_CODE <= ROOT_VERSION(5,12,0)
	MDeviceGUI(const MDeviceGUI &ap); // constructeur par copie 
#endif
	
	~MDeviceGUI(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	MDeviceGUI& operator = (const MDeviceGUI &hp); // operateur = 
 
	virtual Bool_t ProcessMessage(Long_t msg, Long_t par1, Long_t par2); 

	virtual void SetDeviceProperties(void);
	virtual void OpenDevice(void);
	virtual void CloseDevice(void);
	virtual void ReadDeviceProperties(void);

	virtual void SetDevice(FDevice *dev=0){device=dev;}

	virtual void Reset(void);
	virtual void WarningBox(char const *title="Warning",char const *msg="Warning");

    ClassDef(MDeviceGUI,1)
 
}; 
 
#endif 
 
