// 
// Patron pour la generation d'une classe derivee dans ROOT
// MFHCtrl2DGUI derive de MHistoGUI
// 
 
#ifndef MFHCtrl2DGUI_h 
#define MFHCtrl2DGUI_h 
 
#include "MHistoGUI.h"
#include "TGNumberEntry.h"
#include "TGButton.h"
 
class MFHCtrl2DGUI : public MHistoGUI { 

 
   public:	 
	TGRadioButton	*isVertical;
	TGRadioButton	*isHorizontal;
	TGNumberEntry	*dim;
	TGNumberEntry	*min;
	TGNumberEntry	*max;

   public:	 
	MFHCtrl2DGUI(const TGWindow *p=0,UInt_t w=500,UInt_t h=300);
#if ROOT_VERSION_CODE <= ROOT_VERSION(5,12,0)
	MFHCtrl2DGUI(const MFHCtrl2DGUI &ap); // constructeur par copie 
#endif
	
	~MFHCtrl2DGUI(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	MFHCtrl2DGUI& operator = (const MFHCtrl2DGUI &hp); // operateur = 
 
	virtual Bool_t ProcessMessage(Long_t msg, Long_t par1, Long_t par2); 

	virtual void SetHistogramProperties(void);
	virtual void ReadHistogramProperties(void);

	virtual void Reset(void);

    ClassDef(MFHCtrl2DGUI,1)
 
}; 
 
#endif 
 
