// 
// Patron pour la generation d'une classe derivee dans ROOT
// MFProfileGUI derive de MHistoGUI
// 
 
#ifndef MFProfileGUI_h 
#define MFProfileGUI_h 
 
#include "MHistoGUI.h"
#include "MGAxe.h"
#include "MCBLabel.h"
 
class MFProfileGUI : public MHistoGUI { 

 
   public:	 
	MGAxe *varX;
	MCBLabel *varY;

   public:	 
	MFProfileGUI(const TGWindow *p=0,UInt_t w=500,UInt_t h=300);
#if ROOT_VERSION_CODE <= ROOT_VERSION(5,12,0)
	MFProfileGUI(const MFProfileGUI &ap); // constructeur par copie 
#endif
	
	~MFProfileGUI(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	MFProfileGUI& operator = (const MFProfileGUI &hp); // operateur = 
 
	virtual Bool_t ProcessMessage(Long_t msg, Long_t par1, Long_t par2); 

	virtual void SetHistogramProperties(void);
	virtual void ReadHistogramProperties(void);

	virtual void Reset(void);

    ClassDef(MFProfileGUI,1)
 
}; 
 
#endif 
 
