// 
// Patron pour la generation d'une classe derivee dans ROOT
// FParamBrut derive de FParam
// 
 
#ifndef FParamBrut_h 
#define FParamBrut_h 
 
#include "FParam.h" 
 
class FParamBrut : public FParam { 

   protected:
   	Int_t	label;
   	Int_t	nbits;
	Int_t   cptHit; 
   
   protected: 
        virtual void Init(void);       // initialisation 
 
   public:	 
   	FParamBrut(void);    // constructeur par defaut 
	FParamBrut(const FParamBrut &ap); // constructeur par copie 
	
	~FParamBrut(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FParamBrut& operator = (const FParamBrut &hp); // operateur = 
	
	virtual void  SetLabel(Int_t lab){label=lab;}
	virtual Int_t GetLabel(void) const{return label;}
	virtual void  SetNbits(Int_t lab){nbits=lab;}
	virtual Int_t GetNbits(void) const{return nbits;}
	virtual void  SetCptHit(Int_t cpt){cptHit=cpt;}
	virtual Int_t GetCptHit(void) const{return cptHit;}
	virtual void ResetCptHit(void) {SetCptHit(0);}
 
    ClassDef(FParamBrut,1)
 
}; 
 
#endif 
 
