// 
// Patron pour la generation d'une classe derivee dans ROOT
// FParamTreeFormula derive de FParam
// 
 
#ifndef FParamTreeFormula_h 
#define FParamTreeFormula_h 
 
#include "FParam.h" 
#include "TTreeFormula.h" 
 
class FParamTreeFormula : public FParam { 
   
   protected:
   	static TTree *tree;
   	static Bool_t pause;
   	TTreeFormula *treeFormula;
   	Double_t     *treeValues; //!
	Int_t treeNum;
   
   protected: 
        virtual void Init(void);       // initialisation 
        virtual void CheckTree(void);     
 
   public:	 
   	FParamTreeFormula(void);    // constructeur par defaut 
	FParamTreeFormula(const FParamTreeFormula &ap); // constructeur par copie 
	
	~FParamTreeFormula(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void Copy(TObject & obj) const;
#else
   	virtual void Copy(TObject & obj);
#endif
	FParamTreeFormula& operator = (const FParamTreeFormula &hp); // operateur = 
 
 	virtual void    Reset(void);
 	virtual Double_t GetValue(Int_t i=0) const;
	virtual void    SetValue(Double_t val, Int_t i=0);
        virtual void    SetNbValuesMax(Int_t nbv=1); 
	virtual Int_t	GetNbValues(void) const;
	
	static void SetTree(TTree *t) {tree=t;}
	static TTree *GetTree(void) {return tree;}

	static void Pause(void) {pause=kTRUE;}
	static void Continue(void) {pause=kFALSE;}
	
	virtual void SetTreeFormula(TTreeFormula *form);
	virtual void SetTreeFormula(const Char_t *nom, const Char_t *formule);
	virtual TTreeFormula *GetTreeFormula(void) const {return treeFormula;}

 	virtual void WriteInFile(ofstream &fout);
 	virtual Bool_t ReadInFile(ifstream &fin,TList *lop);
	
    ClassDef(FParamTreeFormula,1)
 
}; 
 
#endif 
 
